felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard S. Hall (JIRA)" <j...@apache.org>
Subject [jira] Commented: (FELIX-2749) Boolean.parseBoolean() newly defined in Java5 should not be used.
Date Tue, 28 Dec 2010 18:28:45 GMT

    [ https://issues.apache.org/jira/browse/FELIX-2749?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12975570#action_12975570

Richard S. Hall commented on FELIX-2749:

Actually, we always wanted to just compile against the OSGi foundation profile API bundle,
which would easily solve the issue too. However, the framework is a little more complicated
than that, since we have to have access to some > Java 5 methods so we can deal with some
issues that arise on newer platforms. So, the codebase is a mix, but we try to keep them in
separate execution paths so we can avoid them when running on older JVMs. So, for us to actually
use the OSGi foundation profile API bundle as our boot class path for compiling, we'd need
to divide the framework into at least two modules, one only accessing < Java 5 and one
accessing >= Java 5. This might be possible, but it might not be. We'd have to investigate.

Maybe the mentioned plugin can deal with such issues?

> Boolean.parseBoolean() newly defined in Java5 should not be used.
> -----------------------------------------------------------------
>                 Key: FELIX-2749
>                 URL: https://issues.apache.org/jira/browse/FELIX-2749
>             Project: Felix
>          Issue Type: Bug
>          Components: Framework
>    Affects Versions: framework-3.0.7
>         Environment: J2SE 1.4 with upcoming 3.0.7 release.
>            Reporter: Ikuo YAMASAKI
>            Assignee: Richard S. Hall
>            Priority: Minor
>             Fix For: framework-3.2.0
> For 3.0.7 release, the framework cannot run on J2SE 1.4 or CDC FP1.1 because Boolean.parseBoolean()
is used.
> ---
> Exception in thread "main" java.lang.NoSuchMethodError: java.lang.Boolean.parseBoolean(Ljava/lang/String;)Z
>         at org.apache.felix.framework.cache.BundleCache.<init>(BundleCache.java:113)
>         at org.apache.felix.framework.Felix.init(Felix.java:593)
>         at org.apache.felix.main.Main.main(Main.java:288)
> ---
> Those methods newly defined in Java 5 should not be used.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message